Introduction

ApexSQL Clean Introduction

ApexSQL is proud to present you ApexSQL Clean - a new version of a remarkable product from a family of ApexSQL Tools. The new version has a great look, improved internal engine and better performance.

If database object bloat is the problem, ApexSQL Clean is the solution. Your Microsoft® SQL Server© Database may have many stored procedures, tables, defaults, views etc that aren't being used anymore but unless you determine which of your objects fall into this category you will be stuck with them forever. ApexSQL Clean will analyze a client whether it be VB, ASP, Delphi, etc. to determine what SQL objects are actually being used and what objects aren't. It will also analyze the database itself to see what internal references exist among SQL objects. Based on this analysis it will generate a file of SQL drop statements to Clean your database of these useless objects forever.

Sincerely,

ApexSQL Clean Development team

Copyright © 1999-2004 Apex SQL Tools c/o Lockwood Technical Svc Inc, All Rights Reserved


System/Hardware

System Requirements

Software Pre-requisites: | MDAC 2.6 (ADO 2.6) or greater Microsoft SQL Server version 7 or 2000 Microsoft SQL DMO Object Library (SQLDMO.DLL)
Compatible Operating Systems: | Windows NT 4.0 SP3+ Windows 2000 Windows XP Windows 2003
Processor: | Pentium Class Processor 133 or higher
RAM: | 128MB RAM
Disk Space: | 10.8 MB Free Disk Space (11MB Preferred)
Mouse: | Required
Keyboard: | Required
Monitor: | SVGA Monitor Required (Optimum experience when color depth is set to High Color, 256 color depth is optional)


Introduction

What is SQLClean and what does it do?

SQLClean is a product that's sole purpose to find database objects that are not referenced by anything else, whether it be client files like VB, ASP, Delphi etc or other database objects. If database objects are identified as being unreferenced they can be removed saving space in your database, improving performance and eliminating unnecessary "clutter" in your database so you can focus on only those objects that are really used.

SQLClean has two main operations - Check Database for references and Check Files for references. Once you have analyzed the client application and the database itself you will begin to have a good idea of the stare of your database and what objects may be old, obsolete and ready for the trash can.

SQLClean uses text based comparison to look for text strings in client files that match the names of SQL Objects as part of it's method for finding references. It uses this same method to check procedures, views and user defined datatypes. Sure SQL Server has a sysreferences table but it is not always accurate and often misses references. Also, it is unable to look into text strings in stored procedures for references.

SQLClean also leverages the SQL Server object model itself to conduct a dependency analysis of tables to see what defaults, user defined datatypes and even other tables reference the target table.


Logging In

Logging In to a SQL Database

Sample login screen from Auto-Inserts

This login form will allow you to access any Microsoft® SQL Server© database on your client and network

Server: This control allows the user to manually type in a Server Name. Clicking the ellipse button will populate this picklist with all SQL Servers that can be found.

Connect Using:

Using Windows Authentication will allow you to connect without specifying a User ID or Password leveraging off Windows Integrated Security.

SQL Server Authentication will require a User ID to authenticate with SQL Server Security.

Login Info:

User ID: | Database User Name
Password: | Database password


Inferface

Toolbar

The ApexSQL Clean interface packs a lot of features - let's take a look at each of them in depth.

Toolbar

The toolbar currently contains 6 buttons. From left to right.

(Re) Connect to Database - this will show the database login form if you want to reconnect to another Database Server

Check Files for Dependencies - this will call up the form to analyze client application files for any references to SQL objects

Check Database for Dependencies - this will analyze the database itself for references among objects

Options - will show the options form

Generate Drop Script - this will generate SQL Drop statements for all unreferenced objects.

Help - will open the help file

Copyright © 1999-2004 Apex SQL Tools c/o Lockwood Technical Svc Inc, All Rights Reserved


Outlook Bar

The ApexSQL Clean outlook style toolbar provides a quick and easy way to execute a variety of actions.

The toolbar currently contains 7 buttons. From top to bottom

(Re) Connect to Database - this will show the database login form if you want to reconnect to another Database Server

Database References - this will analyze the database itself for references among objects

File References - this will call up the form to analyze client application files for any references to SQL objects

Drop Objects - this will generate SQL Drop statements for all unreferenced objects.

Options - will show the options form

Reference Graph - this will show the graph of Database objects by type by referenced / total.

Help - will open the help file

Copyright © 1999-2004 Apex SQL Tools c/o Lockwood Technical Svc Inc, All Rights Reserved


Buttons

Next to the toolbar there are some other controls we will describe here.

The database picklist allows you to quickly move to another database in the same server. If you think the database may have changed you can click the Refresh button or click the Database picklist again for the same database selection.

Moving right there are two controls for manipulating the Grid treeview hierarchy. Expand will expand all of the nodes fully exposing the Tree. Collapse will collapse all of the nodes.

Here is the grid Collapsed ...

and here is the same grid Expanded ...

You can also eliminate the Tree / Node structure by clicking Un-Group. Group will recreate the Tree structure in the grid.

Here is the tree Grouped ...

and here is the same grid Un-Grouped ...


Grid

The grid is the main display of information and allows you to zero in on the reference status of various objects.

To describe the grid let's go column by column from left to right.

Name - this is the name of the particular object but it also contains a graphic visually indicating the type of sql object it is.

Owner - the database owner of the object

Type - the type of the database object (i.e. view, table, default). This allows for sorting by type.

File Refs - this column provides the count of references to this object from files. 4 means that 4 client files reference this object

DB Refs - this column provides the count of references to this object from other database objects. 4 means that 4 other database objects reference this object.

Has Refs - this is a boolean field that indicates whether this object contains references to other database objects

Is Ref'd - this is another boolean field that indicates whether this object is referenced anywhere else in the database or client. If not, it is a candidate to be dropped.

You can double-click on any row to view the DDL script for that particular object. The following graphic is an example.


References

Reference Grids

ApexSQL Clean shows the selected objects references and the objects that reference it right in the interface.

Objects that depend on this object:

Depending on the selected object this can include files, procedures, views, tables, triggers and user defined functions. Double-clicking on the object will show the object's DDL Script or file contents depending on whether it is a database object or file.

Objects that this object depends on:

This could include defaults, rules, user defined datatypes, procedures, views, tables and user defined functions.


Options

Search

ApexSQL Clean allows customization or maintenance of file patterns or process file dependencies. By default, the file extension which it supports are .frm, .bas, .cls, .asp, .inc, .pag, .ctl. Besides these, the user can customize any other extension.

Users have the ability to create file search pattern to analyze all files of a particular language or project (i.e. .frm, .asp, .pas, .cls)

To add a new extension enter 3 char file extension and click Add New button

To delete an existing extension select the appropriate extension and click Delete button

File patterns which are set can be used in check files / process file dependencies.

Output

Query-Anayzer - this will open the script in Microsoft SQL Server Query-Analyzer

LockwoodTech Editor - is a built in script editor having all of the common functions and features of most script editors and also a few more like line numbers, advanced find etc

Suppress Output Display - does just this - it suppresses the display of any script. The user is alerted to a the completion of script generation with a simple message box.

Configuration

Exclude System Databases (Default = TRUE) - this option will determine whether system databases such as Master appear in the database picklist

Search for SQL Objects is Case Sensitive (Default = FALSE) this option will indicate a user's choice whether the search for the database dependency should be Case Sensitive or not. This will also affect the highlighting of referenced objects in the sql scripts.

Ignore Trigger Reference to Parent Table (Default = TRUE) - triggers are unique in that they reference the table they are created on but are not really an external reference. Dropping the table will automatically drop the triggers created on it so this option allows the user to ignore triggers for the purpose of tracking a table's references.


Check Files

In addition to allowing you to check a database for internal dependencies, ApexSQL Clean also allows you to check the contents of files for database object dependencies. For example, if you have an ASP project it will look for references to procedures, views and tables contained in your ASP code.

Recursive The file processing engine is recursive - simply point to a directory and it will search all sub-directories for files that match the search pattern you create.

Edit Pattern allows user to customize / maintain the File patterns or extension. This can be activated through Options sub-menu too. Patterns maintained will be shown at the status bar.

Select appropriate drive, folder and click Add files button to add all the search index for dependency check. Those files that matched the file extension pattern that is stored in ApexSQL Clean will be listed to the right.

Ok button will proceed to check the dependency of the each object in the files checked. Once the checking is over ApexSQL Clean will display the statistics of each object. whether it is referenced and the total reference count. It will also update the statistics in memory and allow you to export them to a log file.


Check Database

Check Database for Dependencies

Check Database for Dependencies interrogates the database itself to determine interdependencies between SQL Objects like views, tables and procedures. It records each reference and indicates which SQL Objects are referenced by other SQL Objects by incrementing the "DB Refs" column by 1 for each database reference and setting the flag to checked in the "Is Ref'd" column on the ApexSQL Clean interface.


SQL Drop Statements

Viewing Script Outputs

Script output from SQL Drop Statements or viewing the DDL of various database objects can be displayed in the standard LockwoodTech Script form. See below. Or, in the case of Drop Statements in the SQL Editor of your choice, i.e. SQL Server Query Analyzer, Notepad, LockwoodTech editor. See options for information on how to affect how SQL script output is displayed.


SQL Drop Statements

The final step of ApexSQL Clean is to generate the actual SQL to drop the unreferenced objects. Selecting Tools and then SQL Drop Statements will generate the script which can be saved in a file or pasted directly into Query-Analyzer and run against the target database.


FAQ

FAQs

What do you mean by "Recursive" in the Check Files Option?

Recursive means it ApexSQL Clean will analyze all files in the selected folders and all subfolders contained in that folder.

After I selected "Add Files" in the "Check File" process a message box appeared that indicates "6 files successfully added to search index" What does this mean ?

ApexSQL Clean found five files that met the file extensions you have selected for your search pattern. Only these files will be analyzed by ApexSQL Clean.

How do you add a new file extension to the pattern list ?

Click Options from the Configuration Menu or "Edit Pattern" from "Process Files" menu. In the following graphic we can see the user is editing the list of file extensions which matches the Pattern in the status bar of the "Process File Dependencies"

What does the Check Database option do ?

Check Database interrogates the database itself to determine interdependencies between SQL Objects. For example, ApexSQL Clean will determine if a table is referenced by any stored procedures or views.

I dropped all the objects that ApexSQL Clean recommended that I dropped but then when I immediately re-ran ApexSQL Clean it came up with more unreferenced objects. How can this happen?

You dropped unreferenced objects that themselves referenced other objects. When the unreferenced objects were dropped the references that maintained were eliminated. So when ApexSQL Clean was run again some of the objects that the dropped objects referenced, they now show up unreferenced themselves.

For this reason you may have to run ApexSQL Clean multiple times to get rid of all of the unreferenced objects.


Troubleshooting

General Troubleshooting

General Trouble Shooting first steps

If you are experiencing problems with the operation of this software please check the following things first.

MDAC 2.6 or later

Check the ADO version installed on your PC. Install MDAC 2.6 or greater from Microsoft®. The URL for downloading MDAC 2.6 version is as follows:

http://msdn.microsoft.com/data/downloads/default.aspx

SQL Server Client Utilities (SQLDMO component) installed

Also - ensure you have installed the Microsoft Client Utilities for Microsoft® SQL Server© 7 or 2000 to ensure that you have the necessary SQLDMO library files (SQLDMO.DLL)

Check for most recent version of this software

Next insure that you have the most recent version of the product. Please check http://www.apexsql.com/frame_downloads.htm for latest version. Your issue may have already been resolved.

Check support forum to see if issue has already been reported

The LockwoodTech support forum can be found at http://www.apexsql.com/frame_support.htm. Your question may have already been posted and answered. This forum includes a search facility. You can also post your own question/comment/request etc and get a prompt response.

Latest SQL Server Service Pack

Some errors are caused by SQL Server itself and can be resolved by installing the latest service pack. Please make sure you have the latest service pack for MS SQL Server

General Info on getting latest service pack:

http://support.microsoft.com/default.aspx?scid=kb;EN-US;290211

MS SQL Server 2000

http://www.microsoft.com/downloads/details.aspx?FamilyId=9032F608-160A-4537-A2B6-4CB265B80766&displaylang=en

MS SQL Server 7

http://www.microsoft.com/downloads/details.aspx?FamilyID=79c3b1bf-21be-404c-a921-139a6a17f8eb&DisplayLang=en

See the trouble shooting section in this help file

Click here for Troubleshooting info

If issue is still not resolved

If you continue to experience problems please post the issue on the ApexSQL support forum and you should get a specific response within 24 hours (M-F).

You can also send an email to support@apexsql.com


Reporting Bugs

Support & Reporting Bugs

Facilitating the reporting of errors is important to ensure that if the ApexSQL software you've purchased or are evaluating does have bugs, they are promptly fixed.

Please check the version of the software you are using prior to posting a support question. Your issue may have already been addressed in a newer version.

You can check for the current version directly from the application interface by going to the Help File Menu and clicking "Check for Updates ... "

Please see Trouble Shooting section before reporting bugs

Free Support

Support is available free at ApexSQL Support Forum and all support queries will be responded to during the week (M-F) usually within 24 hours.

Run-Time Errors

Any application run-time errors that occur will be trapped with an error handler that produces a text file of error detail (error.log). You will see the error handling interface when a run-time error occurs.

Simply hit the "Email" button on the error form and an email will be initiated with all of the important information pre-filled out. If you do not have MS Outlook installed you can then Ctrl+C to paste the contents of the Error Detail, automatically added to your clipboard, into the Email message body. If you have MS Outlook - Auto-Error™ will handle the email automatically and put it in your Outbox.

Note: You will get an auto-reply via email with important information including coupons to allow you to purchase the software at a discount.

You can also send the error.log file found in [Application Path] as an attachment as well as the Trace log (trace.log).

Contacting Support

If you don't have an actual error you can still access support easily via the actual application by selecting the Help file menu and clicking "Contact Support".

Logic Errors

To report a logic error describe the nature of the error and context that it occurs in a post to ApexSQL Support Forum

Error Interface

Copyright © 1999-2004 Apex SQL Tools c/o Lockwood Technical Svc Inc, All Rights Reserved


Ordering Information

We accept credit card orders, orders by phone, fax and mail, checks and wire transfers.

Price List

Quantity | Price per unit | Registration Link
1-3 Licenses | $149.00 | Purchase on-line
4-6 Licenses | $105.00 | Purchase on-line
7-10 Licenses | $90.00 | Purchase on-line
Site License | $795.00 | Purchase on-line
Enterprise License | Upon Request | Purchase on-line

Prices are subject to change without notice. Please check the ApexSQL Software official site page at http://www.apexsql.com/frame_purchase.htm for latest price information.

See Sales FAQ for a comprehensive list of commonly asked questions about the entire sales process.

Secure Web Order

Purchase this software on-line at: http://www.apexsql.com/frame_purchase.htm

You will be offered an opportunity to make a purchase on-line through secure Web server using your credit card or execute a fax, mail or purchase order.

Phone, Fax, Mail and Purchase Orders

You may fax or mail your credit card order, as well as use a check. Please visit Sales FAQ Web page for the most recent information on these payment methods.


Sales FAQs

Purchase Process

  • What should I do in case of any problems during purchasing process?

  • How long does it take to fill an order or respond to a question?

  • Do you charge VAT Taxes?

On-Line Purchase Process

  • What kind of credit cards do you accept?

  • What type of license should I buy: Individual or Site?

  • Is it safe to use my credit card on ApexSQL purchase site?

  • How long does it take to obtain my registration code after I purchase a product online by credit card?

  • How does your security work?

  • How will the purchase appear on my credit card statement?

Other Types of Purchases

  • Can I purchase with a check or Purchase Order?

  • Can I order via phone?

  • Can I order via fax?

  • How do I activate the ApexSQL software I have with the unlock code I purchased?

  • How do I install the ApexSQL software I want to try?

  • I want to buy several ApexSQL products. Are any discounts available?

  • How can I get the physical media for the software I purchased and what is the cost?

  • What exactly will I receive if the product is delivered by e-mail?

Activation

Click Here for Product Activation FAQ

ApexSQL specific

  • How do I get upgrades?

  • What happens if I lose the unlock code?

  • How can I be notified of product upgrades and new releases?

  • Can I register my software with ApexSQL?

  • What is the difference between Activating software and registering it?

  • Can I change my registration details?

  • What is your Tax Identification Number?

  • I need a W9 form. Can you provide it?

  • Can I transfer a license I own to another user?

  • Can I upgrade to Studio or Studio Universal if I have purchased one or more products previously?

  • Are there discounts for purchases of multiple units of software?

  • Do you offer academic discounts?

  • Do you offer competitive upgrades?

Note: Shareit.com has been contracted by ApexSQL to perform all sales processing and fulfillment functions for the following order types

  • Direct Phone Orders

  • Fax Orders

  • Online Credit Card Orders

  • International Purchase Orders

U.S. and Canadian Purchase Orders are processed directly by ApexSQL

Many of these FAQs relate directly to shareit's service. ApexSQL is still fully responsible for the quality of your purchase interaction and all emails sent to service@apexsql.com go directly to ApexSQL sales/service representative. Direct Sales / Service Contact Info for ApexSQL is as follows:

Phone: 866-665-5500 toll free in the USA and Canada
Fax: 1.508.590.0203
Hours 9-5 PM U.S. Eastern Time and/or by appointment
 sales@apexsql.com

Customer Care: If you have any questions related to the order process including security, CDs, delivery or more click here for the Customer Care Section. This will also allow you to log into your ShareIt account and view Order Info. and history.

Phone and Fax numbers for Ordering:

For U.S. and Canadian Orders:

Phone: | 1 (724) 850 8186
Fax: | 1 (724) 850-8187

For Non U.S. Orders:

Phone: | +49-221-31088-20
Fax: | +49-221-31088-29

Purchase Process

What should I do in case of any problems during purchasing process?

Please, immediately contact us at service@apexsql.com with short description of the problem or call 1.508.528.3493 to speak to an ApexSQL sales representative. Hours 9-5 PM U.S. Eastern Time and/or by appointment

You can also go to the Shareit Customer Care webpage for information about your order and other questions. There is also a contact page with email address and phone numbers to a representative that can help you with your order and answer any questions you may have.

How long does it take to fill an order or respond to a question?

· On-line orders are filled immediately.

· Fax orders are filled within 12 hours of receipt as long as payment is received with the order.

· Mail orders are filled within 5 to 8 business days of receiving them.

· Email responses are handled within 2-4 hours typically, with a maximum of 24 hours.

· Purchase orders are usually processed within 4 hours of receipt

Do you charge VAT Tax

ApexSQL does not collect or distribute or VAT taxes regardless or country of origin or corporate / non corporate status

On-Line Purchase Process

What kind of credit cards do you accept?

All major credit cards are accepted (Visa, MasterCard/Euro card, American Express, and Diner's Club.). During the registration process, you will be given an option to place a fax or mail order as an alternative to the standard online credit card order.

Is it safe to use my credit card on ApexSQL purchase site?

This depends on how carefully a site has worked to ensure your credit card information is kept secret. As explained above, Shareit has taken great precautions to ensure that your credit card information is kept secret. RSA security is generally regarded as some of the strongest that is available -- please visit their site for more information. With the security precautions in place, your order is as secure as phoning an order into a mail-order software house.

How long does it take to obtain my unlock code after I purchase a product online by credit card?

After our registration service receives your online credit card order, it may take up to several hours to authorize your transaction. As soon as your charge is authorized, you will receive an authorization e-mail with your serial number. In the unlikely event that your credit card is declined, you will receive an e-mail stating the reason. If you do not receive any e-mail within 24 hours - there may be a problem with your order. In that case, kindly contact us by e-mail at sales@apexsql.com with your name, and the approximate date and time of your order to obtain the status of your order.

How does your security work?

Shareit uses a VeriSign certificate for Secure Socket Layer (SSL) transactions. VeriSign certificates offer strong RSA-based encryption for secure transactions and allow a wider variety of browsers to be used than with certificates from other companies. Netscape Navigator versions starting at 2.0 are supported as well as Microsoft Internet Explorer versions 3.0 and above. All of this means that your credit card information is sent directly to the credit card processor in a very secure manner, so that nobody else can see it. That protects you by ensuring that nobody but you and the credit card processor will see your card.

How will the purchase appear on my credit card statment?

WWW.SHAREITINFO.COM will appear on your credit card statement, and not the name of ApexSQL. You will receive an order confirmation and receipt by e-mail at the time when your credit card is charged.

Other Types of Purchases

Can I purchase with a check or Purchase Order?

Yes - please click here for a special Purchase Order FAQ

Can I order via phone?

Shareit offers a Toll-Free (for U.S. and Canada calls) Voice Registration Service.

1-800-903-4152 for US and Canadian customers

+49-221-310-88-30 for customers from all other countries. (office in Germany)

Before placing the order, please make sure you know the Product ID (see the table above). Please note that these numbers are for phone orders ONLY

Please have Product ID ready when you call. Product IDs can be found on the purchase page for each individual product.

Can I order via fax?

Yes, for using a Fax Registration Service please fill Registration Form and it to:

1-724-724-850-8187 for US and Canadian customers

+49 221 31088 29 for customers from all other countries. (office in Germany)

How can I get the physical media for the software I purchased and what is the cost?

We offer physical media in the form of a CD (CD on Demand) in addition to the electronic delivery of our software. CDs on Demand are generally produced and mailed to you within one business day following receipt of payment. Saturdays and Sundays are not business days. Depending on location the media should arrive 5-10 days later. The cost is $15 per CD ordered and it includes shipping.

What exactly will I receive if the product is delivered by e-mail?

You will receive an order confirmation email that will include the unlock code or codes for your software. The confirm will also include your purchase reference number and payment confirmation. The confirmation also includes contact information and instructions for ordering, payment, shipping procedures, service, support, and product registration . Credit card information is not included.

ApexSQL specific

What type of license should I buy: Individual, Site or Enterprise?

ApexSQL has three types of license: Individual, Site and Enterprise.

With the Individual License, the software can be used by one individual only.

A Site license allows the software to be used by an UNLIMITED number of users at a given corporate site. See below for more notes on license descriptions taken from the End-User License Agreement ("EULA")

A Corporate license allows for UNLIMITED number of users at a company regardless of separate physical locations.

How do I activate the ApexSQL software I have with the unlock code I purchased?

When you run the software for the first time you will get a Software Activation form. If you have opted to purchase the software and have an unlock code, enter it in the unlock code box in this form. You will get a message confirming or denying the authenticity of your unlock code. If successful, the 14 day trial period limitation of the software will now be activated.

How do I install the ApexSQL software I want to try?

The file you download is an install file. Simply run install file by double clicking on it and follow the instructions for installation.

I want to buy several ApexSQL products. Are any discounts available?

ApexSQL offers several packs – see Purchase Page that offer discounts of 20% or more off the combined purchase prices of each individual product.

How do I get upgrades?

Upgrades will be posted periodically, mainly for bug fixes but there may be functionality upgrades as well. If the release number on the download page has changed but the version number has not (i.e. 3.5.35 to 3.6.44) then this is new release and not a new version and if you have previously purchased the software you can install the new release for free. You can simply download the new installation file, un-install the previous version and install the new release. You will not have to re-register the software - unlock codes are written into your registry and are unaffected when the software is uninstalled.

What happens if I lose the unlock code?

The unlock code is displayed on the about form. If you lose the unlock code and don't have access to a previously installed version you can contact sales@ApexSQL with name, email address and proof of purchase if available.

How can I be notified of product upgrades and new releases?

You are automatically subscribed to the ApexSQL e-Newsletter when you register on the website. Click here for an example

You can sign-up for newsletter without registering on the site by going to the home page and entering email address here:

You will also be automatically subscribed to the Product Update Alert for any products you download and/or purchase. Click here for an example

Can I register my purchase with ApexSQL

Yes, please register as a customer via "Member Area" section of ApexSQL site and you will be offered an opportunity to register each unlock code you have purchased. Registration benefits include the ability to store your unlock code in case you lose it, receive gratuity unlock codes for new products like Chameleon Log automatically as well as benefit from other customer incentives, premium support (your username will be identified with purchases you have made and will receive priority support). Product registration will also allow you access to the Customer Center and the many value added downloads that it offers.

What is the difference between Activating and Registering Software?

The 14 day time limitation (aka time bomb) is eliminated when the product is ACTIVATED with a valid unlock code obtained via the purchase process. You can then register the product (see above) to formally notify ApexSQL of your purchase, store your unlock code information and gain access to various registration benefits.

Can I change my registration details like name, address and email?

Yes, if you have successfully registered a unlock code you can later change registration details via on-line Profile page.

Can I transfer a license I own to another user?

You can transfer all of your rights under the End-User License Agreement (EULA), provided you retain no copies, components, media or any part of the software. Notification of transfer must be done in writing to ApexSQL and must include all software identification information. We also require that you inform us of the complete new user contact information.

Can I upgrade to Studio or Studio Universal if I have purchased one or more products previously?

Yes, we will acknowledge the price you already paid for your existing product(s). An upgrade fee can be determined by taking the difference between the current list price of Studio (or Universal) at the time of purchase and the monies spent for your previously purchased product(s). Please contact Sales@apexsql.com or call 866-665-5500 for more details.

Are there discounts for purchases of multiple units of software?

We offer a tiered licensing schedule for our products. The more licenses that you buy, the less the price per unit. One to three licenses are at list price. The next two levels, four to six units and seven to 10 units are discounted, respectively. After 10 units we offer a Site license or an Enterprise license. See Appendix A below for descriptions of different license levels.

Do you offer academic discounts?

Yes, we offer discounts to academic institutions. You will need to send an email from an academic email domain or fax a copy of letterhead to establish your association with the institution. Please contact Sales@apexsql.com or call 866-665-5500 for more details.

Do you offer competitive upgrades?

Yes we do with proof of purchase. Please contact Sales@apexsql.com or call 866-665-5500 for more details.

What is your Tax Identification Number?

The Federal Tax ID for Lockwood Technical Svc Inc ("ApexSQL") as follows: 04-3420258

I need a W9 form. Can you provide it?

Click on the image below to enlarge. This is a completed W9 form you can use for your records. You will need to set page setup margins for top and bottom to 0

Appendix A: Difference between Individual and Site License from EULA

Individual License: You may receive the SOFTWARE in more than one medium. Regardless of the type or size of medium you receive, you may use only one medium that is appropriate for your single computer. You may not use or install the other medium on another computer. You may not loan, rent, lease, or otherwise transfer the other medium to another user, except as part of the permanent transfer (as provided above) of the SOFTWARE.

Site License: A site license allows usage of this program on multiple computers by multiple users within the limitations of a single company's site location. A site location is defined by the physical location of the purchasing site and other company locations within a 100-mile radius. This limitation is further enforced by the requirement that all developers share an email domain (i.e. john@apexsql.com, mary@apexsql.com). Support may be requested by multiple developers as long as all share the email domain of the original site license purchaser.

Enterprise License: An Enterprise license allows usage of this program on multiple computers by multiple users within the limitations of a single company's Enterprise facility or facilities. The Enterprise license is valid only for 1 (one) organization/company/firm, but without user limitation. The end-user is Licensee. Use of the SOFTWARE can be in an Intranet/Extranet or over the Internet with non-anonymous users, e.g. authenticated, closed user groups. The Enterprise license permits an unlimited number of users to use the SOFTWARE from any person al computer within the Enterprise facilities, including those attached to a Local Area Network on the Enterprise site; to use the SOFTWARE from personal computers connected to the Enterprise site through a Wide Area Network and/or by any form of remote or telecommunication access. This limitation is further enforced by the requirement that all developers share an email domain (i.e. john@ApexSQL.com, mary@ApexSQL.com). Multiple developers may request support as long as all share the email domain of the original Enterprise license purchaser. Such designate shall include, without limitation, any and all users of the SOFTWARE who are part-time or full- time employees, or any contractors to Licensee and/or contractor's part-time or full-time employees.

Copyright © 1999-2004 Apex SQL Tools, All Rights Reserved


Activation_Guide

Steps to Activate your ApexSQL Software

Automatic Activation:

Activating your software, assuming connection to the internet, is a simple process. Take your unlock code you have received from your order confirm from shareit (for online orders), from ApexSQL sales staff or other reseller and enter it into the Unlock Code field. Here is an example of an unlock code included in an online order confirmation.

Here is your personal Unlock Code(s):
===================================
===================================
BX45-3ER496D
===================================
===================================

Click the button "Activate". You should get a confirm indicating successful activation. If there are problems please contact ApexSQL sales at sales@apexsql.com or call 866-665-5500

Manual Activation:

If you are not connected to the internet the activation process will automatically present to you the form for manual activation after you have entered your unlock code and pressed the "Activate" button.

You may want to use Manual, vs Automatic activation, if

  • you are not connected to the internet
  • you already have an activation code
  • you are behind a firewall or proxy server and are experiencing technical difficulties with activation
  • you prefer to manually start a web browser and explicitly go through the activation steps on ActivateSoft.net

You can also activate manually by selecting the Manual option button on the activation form.

The manual activation form is shown below.

The application will automatically display to you your Hardware ID and Unlock code.

At this point you can take the URL in the top multi-line edit box and paste it into a web browser. Clicking [image] will do this for you automatically. Either method will enter your unlock code and hardware id into Activatesoft.net's server and, if successful, return an Activation code (see below) ...

that you can enter/paste into the bottom multi-line edit box of the manual activation form. In the above screen shot this field in the manual activation form is blank.

As an alternate method, you can go directly to http://www.activatesoft.net via a web browser and click

You can also go directly to the page via this link http://www.activatesoft.net/user/activation.asp

You will prompted to enter your Product Key (in our case Unlock Code) and then your Hardware Id. If successful you will see the Activation Code as displayed in the "Successful new activation" message above. Enter this into the bottom multi-line edit box on the manual activation form.

You should see this message if your manual activation was successful. Your app. will be closed and upon restart it will be activated.

(c) 2004 Apex SQL Tools. - All Rights Reserved - Terms of Use


Purchase Order Instructions

We've invested a lot of time at Apex SQL to ensure that customers can easily buy software using purchase orders. This page attempts to address all relevant P.O. issues. If you have additional questions please email them to sales@apexsql.com or 866-665-550 0 (U.S. and Canada) or +1 508-528-3493 (International).

Please include the following ...

  1. Company Letterhead
  2. Signature
  3. Product ID, Product Name and Price for each order line item (if more than one).
  4. P.O. number based on your own Purchase Order numbering system
  5. Your email address so unlock code can be emailed to you.
  6. Your billing address so invoice can be mailed to you

And then fax to:

Inside U.S.: 1.508.590.0203

Outside U.S.: + 49-221-31088-29

.. or mail to the respective address below depending on whether you are in U.S. or not.

You will get an email confirmation that your Purchase Order has been received and processed by shareit.com for international orders

Address and phone numbers are:

U.S. and Canadian Orders:

ApexSQL
co/ Lockwood Technical Svc Inc
50101 Governors Dr.,
Suite 100
H Chapel Hill, NC 27517

Toll Free: 866-665-5500
Direct: +1 508-528-3493
Fax: +1 508-590-0203

 International Orders:

ShareIt Inc
Vogelsanger Str. 78
D-50823 Koln/Cologne
Germany

Phone: +49-221-31088-20
Fax: +49-221-31088-29
The following are examples of a Purchase Order. Click on the link to see a larger image

U.S. and Canada

International
Payment Terms: Purchase Order Payment Terms are NET 30. An invoice will be sent to the billing address. You can pay purchase orders by credit card, check or money order. A 1.5% per month (18% APR) late charge will be added to invoices not paid by the due date.

Fulfillment: The order will be fulfilled, and your software unlock codes and/or software will be emailed to you, as soon as the Purchase Order is accepted, not when payment is received. So you will receive your software immediately after the order is processed.

CD on Demand: Please make sure to note on your purchase order a request for a CD to be shipped to end-user Shipping Address if you require physical media. The fee is $15 and the designation is CD on Demand.

Discount Coupons: Please include discount coupons, if applicable, on the Purchase Order, and ensure that the total of the Purchase Order reflects the NET amount, after coupon is applied, not the full retail price. You will be billed according to your invoice amount.

Shipping and sales taxes: There are no shipping costs or sales taxes currently for Non EU customers.

VAT Taxes: Apex SQL does not collect or distribute or VAT taxes regardless or country of origin or corporate / non corporate status.

Copyright © 1999-2004 Apex SQL Tools - All Rights Reserved


ApexSQL Products

ApexSQL Studio Standard

A SQL Lovers suite of several of ApexSQL's popular SQL software products at a discounted price. Check ApexSQL Purchase page for current list of included products.

Licenses Tier | Each Unit Price | Purchase Link
1-3 Licenses | $1,495 | Purchase on-line
4-6 Licenses | $1,049 | Purchase on-line
7-10 Licenses | $899 | Purchase on-line
Site License | $8,225 | Purchase on-line
Enterprise License | Upon Request | Purchase on-line

ApexSQL Studio Universal

A SQL Lovers suite of all of ApexSQL's popular SQL software products at a discounted price. Check ApexSQL Purchase page for current list of included products.

Licenses Tier | Each Unit Price | Purchase Link
1-3 Licenses | $2,395 | Purchase on-line
4-6 Licenses | $1,676 | Purchase on-line
7-10 Licenses | $1,437 | Purchase on-line
Site License | $12,995 | Purchase on-line
Enterprise License | Upon Request | Purchase on-line

ApexSQL Code

Rapidly create code patterns in any language using a powerful template processing engine and a feature rich object model. Leverage built in support for VBScript and JScript as well as many pre-written templates included with the application.

Licenses Tier | Each Unit Price | Purchase Link
1-3 Licenses | $399 | Purchase on-line
4-6 Licenses | $280 | Purchase on-line
7-10 Licenses | $240 | Purchase on-line
Site License | $2,195 | Purchase on-line
Enterprise License | Upon Request | Purchase on-line

ApexSQL Script

Automatically scripts your Microsoft SQL Server data into easy to use scripts.

Licenses Tier | Each Unit Price | Purchase Link
1-3 Licenses | $199 | Purchase on-line
4-6 Licenses | $140 | Purchase on-line
7-10 Licenses | $120 | Purchase on-line
Site License | $1,095 | Purchase on-line
Enterprise License | Upon Request | Purchase on-line

ApexSQL Audit

Automatically generates triggers to create a Microsoft SQL Server data audit log. Ships with a powerful reporting utility to extract the data into meaningful reports.

Licenses Tier | Each Unit Price | Purchase Link
1-3 Licenses | $599 | Purchase on-line
4-6 Licenses | $420 | Purchase on-line
7-10 Licenses | $360 | Purchase on-line
Site License | $3,295 | Purchase on-line
Enterprise License | Upon Request | Purchase on-line

ApexSQL Clean

Automatically detects and removes unused stored procedures, views and tables from your MS SQL Server Database. Works with any client application like VB, ASP, Delphi to find database objects not being used by these files.

Licenses Tier | Each Unit Price | Purchase Link
1-3 Licenses | $149 | Purchase on-line
4-6 Licenses | $105 | Purchase on-line
7-10 Licenses | $90 | Purchase on-line
Site License | $795 | Purchase on-line
Enterprise License | Upon Request | Purchase on-line

ApexSQL Report

ApexSQL Report is an advanced, data driven report writing tool using ASP and any RDBMS - complete with source code. ApexSQL Report let's users create and customize reports directly through the interface.

Licenses Tier | Each Unit Price | Purchase Link
1-3 Licenses | $595 | Purchase on-line
4-6 Licenses | $417 | Purchase on-line
7-10 Licenses | $357 | Purchase on-line
Site License | $3,275 | Purchase on-line
Enterprise License | Upon Request | Purchase on-line

ApexSQL Diff

High performance database comparison and synchronization, including the ability to merge two databases via script.

Licenses Tier | Each Unit Price | Purchase Link
1-3 Licenses | $299 | Purchase on-line
4-6 Licenses | $195 | Purchase on-line
7-10 Licenses | $165 | Purchase on-line
Site License | $1,315 | Purchase on-line
Enterprise License | Upon Request | Purchase on-line

ApexSQL Log

ApexSQL Log is a powerful SQL database auditing tool that analyzes SQL Server's own Transaction Log to display information on data and structural changes.

Licenses Tier | Each Unit Price | Purchase Link
1-3 Licenses | $699 | Purchase on-line
4-6 Licenses | $490 | Purchase on-line
7-10 Licenses | $420 | Purchase on-line
Site License | $3,795 | Purchase on-line
Enterprise License | Upon Request | Purchase on-line

ApexSQL Edit

A powerful SQL Editor / IDE with Intellisense, Collapsible editing regions, deployment features, integration with SQL Server Reporting services and much more.

Licenses Tier | Each Unit Price | Purchase Link
1-4 Licenses | $199 | Purchase on-line
5-9 Licenses | $119 | Purchase on-line
10-14 Licenses | $112 | Purchase on-line
15-19 Licenses | $104 | Purchase on-line
Site License | $1,795 | Purchase on-line
Enterprise License | Upon Request | Purchase on-line

Prices, offers and features are subject to change without notice. Please check out the ApexSQL Software official site at http://www.apexsql.com/frame_purchase.htm for latest information. Limited time offers and specials are also announced on the website.

Copyright © 1999-2004 Apex SQL Tools - All Rights Reserved


About apexsql Software

Contact Information

Address: | ApexSQL c/o Lockwood Technical Svc Inc 50101 Governors Dr., Suite 100 Chapel Hill, NC 27517 USA
Free Support: | Product Support Forums
Sales & Service: | Phone: International: Fax: | 866-665-5500 (U.S. and Canada) +1 508-528-3493 +1 508-590-0203
 | Hours 9-5 PM U.S. Eastern Time and/or by appointment
Email Contacts: | Sales: Service: | sales@apexsql.com service@apexsql.com

Any service inquiries about unlock codes, order problems, payment issues etc. should be emailed to service@apexsql.com or you can call +1 508-528-3493 9-5 PM U.S. Eastern Time


Excludes

SQLClean™ allows you to exclude database objects from the cleaning process. By default all the database objects are included but you would not, for example, want SQLClean to check to see if system tables like sysobjects are referenced so you would add these tables to the excluded list.

Database objects are categorized into three objects as displayed. Tables, Views and Procedures. Clicking the appropriate category will display the objects belonging to the respective category. User can exclude the objects from that category. Excluded objects won't be added in the drop statement or appear in the main screen of SQLClean.


Export File

SQLClean™ generates export file with exact names of all objects that reference a particular file. Dependency profile may be saved and retrieved via Import File option. It saves the SQL database object setting in a log file which is called the Export File. This exported file can be used later to restore the SQL database object setting using the Import File option.

Exported file can be parsed in Excel Format through Parsing Output File in Excel


Import File

SQLClean™ allows to restore the dependency profile. Select the appropriate file from which the information will be restored. Ensure the log file created will be through Export File option. Once the right file is imported it restores the dependency information of the respective file imported.


Parse

Parsing Output File in Excel

The steps to parse output log file in Excel format are described below.

Step 1

Open a blank Excel Worksheet and click option Get External Data->Import Text File Sub-menu as attached

Step 2

Select appropriate exported log file. The import wizard will display the contents of the log file as below. Click Next to move to next screen

Step 3

Do not forget to check Comma. This will allow the entire text to be formatted using delimited strings "," and "Tab". Click Next.

Step 4

Click Finish to End the Import wizard.

Finally, the entire contents of the log file will be imported as attached below.